Skip to content

Delete an account integration

DELETE
/api/v1/account_integration/{account_integration_id}
curl --request DELETE \
--url https://app.prefactorai.com/api/v1/account_integration/013xrzp12g3nqk8ns6jadrqmpgrjkeny \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data null
account_integration_id
required
AccountIntegration_Id

A valid account integration ID

string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny
One of:

Optional idempotency key for ensuring request idempotency

string

Success

Media typeapplication/json
object
details
required
AccountIntegration_Details
object
config
required

Versioned integration config. Secrets such as the Slack webhook URL are redacted.

object
key
additional properties
any
id
required
AccountIntegration_Id

A valid account integration ID

string
integration_type
required

Integration type key for this account

string
status
required

Whether this integration is active or paused

string
Allowed values: active paused
type
required

Type of resource (always ‘account_integration’)

string
Allowed values: account_integration
status
required
string
Allowed values: success
Example
{
"details": {
"config": {
"_version": 1,
"enabled_events": [
"agent_created"
],
"webhook_url": {
"$sensitive": "string",
"labels": [
"authentication_and_secrets"
]
}
},
"id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny",
"integration_type": "slack",
"status": "active",
"type": "account_integration"
},
"status": "success"
}

Error

Media typeapplication/json
One of:
object
code
required
string
Allowed values: bad_request bad_authtoken not_authenticated not_permitted not_implemented unknown not_found unexpected_ref_type unexpected invalid_action invalid_state alert_unknown alert_already_cleared invalid_value required_value idempotency_key_already_used temporarily_unavailable conflict
message
required
string
status
required
string
Allowed values: error
Example
{
"code": "bad_request",
"status": "error"
}